# assume compiler is in the environment already
FC=flang-new

# compile
rm -rf *.mod *.o *.so
$FC -fPIC -c pi.f90      # an internal module
$FC -fPIC -c circle.f90  # a module containing public API
$FC -shared -o libdummy.so pi.o circle.o

# emulate the installation of the dummy library
rm -rf libdummy
mkdir -p libdummy/include
mkdir -p libdummy/lib
cp circle.mod libdummy/include
cp libdummy.so libdummy/lib

# now trying to build an app using the library
cd app
rm -rf app.exe
$FC app.f90 -I ../libdummy/include -L ../libdummy/lib -ldummy -o app.exe
LD_LIBRARY_PATH=../libdummy/lib ./app.exe
